Bug 1687900 - Document syspurpose addons having no effect on the outcome of auto-attach
Summary: Document syspurpose addons having no effect on the outcome of auto-attach
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: doc-Release_Notes-8-en-US
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.0
Assignee: Lucie Maňásková
QA Contact:
lmcgarry
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-12 15:12 UTC by Craig Donnelly
Modified: 2021-05-06 19:24 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.`syspurpose addons` have no effect on the `subscription-manager attach --auto` output. In Red Hat Enterprise Linux 8, four attributes of the `syspurpose` command-line tool have been added: `role`,`usage`, `service_level_agreement` and `addons`. Currently, only `role`, `usage` and `service_level_agreement` affect the output of running the `subscription-manager attach --auto` command. Users who attempt to set values to the `addons` argument will not observe any effect on the subscriptions that are auto-attached.
Clone Of:
Environment:
Last Closed: 2021-02-01 07:39:25 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
update from beta documentation (150.24 KB, image/png)
2020-04-21 11:00 UTC, Rehana
no flags Details

Description Craig Donnelly 2019-03-12 15:12:31 UTC
Description of problem:
Currently the syspurpose/subscription-manager addons commands do not provide a user any value other than setting a client-side attribute that could be used.

It is important to note to users that at the time of release, addons attributes will not assist or affect the auto-attach function in order to assist in covering a system properly.

Utilizing this attribute at this time will /not/ help attach any addon subscriptions specified.

Version-Release number of selected component (if applicable): RHEL 8 ALL (subscription-manager)


How reproducible: 100%


Steps to Reproduce:
1. syspurpose add-addons "High Availability" / subscription-manager addons --add "High Availability"
2. subscription-manager attach --auto

Actual results: 
No HA Subscription

Expected results:
HA Subscription attached, or docs stating lack of functionality.

Additional info:
There are currently no 'addons' attributes being attached to subscriptions for GA. This is out of scope.

Comment 15 Rehana 2020-04-21 11:00:19 UTC
Created attachment 1680503 [details]
update from beta documentation

Comment 16 Rehana 2020-04-23 12:51:01 UTC
As shown the comment 15, the rhel 8.2 documentation now contains details mentioned in this bug .

Hence moving this bug to verified

Comment 25 Rehana 2020-12-11 11:07:34 UTC
Hi , 

Can you please move the bug to closed once the documentation is updated ? 

thanks,
Rehana

Comment 32 RHEL Program Management 2021-02-01 07:39:25 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.